settings.logAddedRecipes = true
settings.logRemovedRecipes = true

events.listen('recipes', function (event) {


    event.remove({id: 'minecraft:furnace'})
    event.remove({id: 'ceramics:unfired_porcelain'})
    event.remove({id: 'clickmachine:auto_clicker'})
    event.remove({id: 'mekanism:transmitter/universal_cable/basic'})
    event.remove({id: 'exnihilosequentia:end_cake'})
    event.remove({id: 'factory:factory'})
    event.remove({id: 'minecraft:flint_and_steel'})
    event.remove({id: 'mysticalagriculture:infusion_crystal'})
    event.remove({id: 'mysticalagriculture:infusion_altar'})
    event.remove({id: 'overloaded:items/functional/armor/multi_helmet'})
    event.remove({id: 'overloaded:items/functional/armor/multi_chestplate'})
    event.remove({id: 'overloaded:items/functional/armor/multi_leggings'})
    event.remove({id: 'overloaded:items/functional/armor/multi_boots'})
    event.remove({id: 'endportrec:craftable_end_portal'})

    event.recipes.minecraft.stonecutting(item.of('mekanism:dust_coal', 1), 'minecraft:coal')

    event.shapeless(item.of('minecraft:flint_and_steel', 1), ['minecraft:flint', '#forge:ingots/steel'])


    event.shaped(item.of('minecraft:end_portal_frame', 12), ['EEE','ENE','SSS'], 
   {
    E: 'minecraft:ender_eye',
    N: 'minecraft:nether_star',
    S: 'minecraft:end_stone'
  })


    event.shaped(item.of('overloaded:multi_boots', 1), ['EAE','ECE','ESE'], 
   {
    E: 'extendedcrafting:nether_star_block',
    C: 'overloaded:energy_core',
    S: 'extendedcrafting:ultimate_singularity',
    A: 'mysticalagriculture:supremium_boots'
  })


    event.shaped(item.of('overloaded:multi_leggings', 1), ['EAE','ECE','ESE'], 
   {
    E: 'extendedcrafting:nether_star_block',
    C: 'overloaded:energy_core',
    S: 'extendedcrafting:ultimate_singularity',
    A: 'mysticalagriculture:supremium_leggings'
  })



    event.shaped(item.of('overloaded:multi_chestplate', 1), ['EAE','ECE','ESE'], 
   {
    E: 'extendedcrafting:nether_star_block',
    C: 'overloaded:energy_core',
    S: 'extendedcrafting:ultimate_singularity',
    A: 'mysticalagriculture:supremium_chestplate'
  })


    event.shaped(item.of('overloaded:multi_helmet', 1), ['EAE','ECE','ESE'], 
   {
    E: 'extendedcrafting:nether_star_block',
    C: 'overloaded:energy_core',
    S: 'extendedcrafting:ultimate_singularity',
    A: 'mysticalagriculture:supremium_helmet'
  })




    event.shaped(item.of('netherrocks:dragonstone_gem', 1), ['EEE','EEE','EEE'], 
   {
    E: 'mysticalagriculture:dragonstone_essence'
  })
 
   event.shaped(item.of('netherrocks:ashstone_gem', 1), ['EEE','EEE','EEE'], 
   {
    E: 'mysticalagriculture:ashstone_essence'
  })

    event.shaped(item.of('netherrocks:fyrite_ore', 8), ['EEE','E E','EEE'], 
   {
    E: 'mysticalagriculture:fyrite_essence'
  })

    event.shaped(item.of('netherrocks:malachite_ore', 8), ['EEE','E E','EEE'], 
   {
    E: 'mysticalagriculture:malachite_essence'
  })

    event.shaped(item.of('netherrocks:illumenite_ore', 8), ['EEE','E E','EEE'], 
   {
    E: 'mysticalagriculture:illumenite_essence'
  })

    event.shaped(item.of('mysticalagriculture:prosperity_shard', 8), ['EEE','E E','EEE'], 
   {
    E: 'mysticalagriculture:prosperity_essence'
  })

    event.shaped(item.of('mysticalagriculture:prosperity_shard', 1), [' S ','SMS',' S '], 
   {
    S: 'mysticalagriculture:soulium_dust',
    M: '#forge:ingots/illumenite'
  })

    event.shaped(item.of('mysticalagriculture:inferium_essence', 1), [' S ','SMS',' S '], 
   {
    S: 'mysticalagriculture:soulium_dust',
    M: '#forge:ingots/malachite'
  })

    event.shaped(item.of('mysticalagriculture:infusion_crystal', 1), ['IFI','MAM','GFG'], 
   {
    I: '#forge:ingots/illumenite',
    F: '#forge:ingots/fyrite',
    M: '#forge:ingots/malachite',
    A: 'netherrocks:ashstone_gem',
    G: '#forge:ingots/argonite'
  })

    event.shaped(item.of('mysticalagriculture:infusion_altar', 1), ['GDG','RSR','SSS'], 
   {
    G: '#forge:ingots/gold',
    D: 'netherrocks:dragonstone_gem',
    R: 'minecraft:red_carpet',
    S: 'minecraft:stone'
  })

    event.shaped(item.of('factory:factory', 1), [' C ','CSC',' C '], 
   {
    C: 'minecraft:crafting_table',
    S: 'craftingstation:crafting_station'
  })

    event.shaped(item.of('mekanism:basic_universal_cable', 8), ['   ','DOD','   '], 
   {
    O: '#forge:dusts/redstone',
    D: '#forge:ingots/iron'
  })

    event.shaped(item.of('clickmachine:auto_clicker', 1), ['DDD','DOD','DRD'], 
   {
    O: 'minecraft:obsidian',
    D: 'minecraft:diorite',
    R: '#forge:storage_blocks/redstone'
  })

    event.shaped(item.of('minecraft:black_dye', 1), ['C'], 
   {
    C: 'mekanism:dust_coal'
  })

    event.shaped(item.of('ceramics:unfired_porcelain', 1), ['C'], 
   {
    C: 'exnihilosequentia:porcelain_clay'
  })

    event.shaped(item.of('minecraft:furnace', 1), ['CCC','CFC','CCC'], 
   {
    C: '#forge:cobblestone',
    F: 'minecraft:campfire'
  })










})